package com.nisum.test.pages;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.*;

public class LoginPF {
    WebDriver driver;

    @FindBy(how = How.XPATH, using = "//[text()=com.nisum.pages.Login']")
    WebElement lnkSignIn;

    @FindBy(xpath="//input[@name='username']")
    WebElement inpUserName;

    @FindAll({
            @FindBy(id="pass"),
            @FindBy(name="pwd"),
            @FindBy(xpath="//input[@name='pwd']")
    })
    WebElement inpPassword;

    @FindBys({
            @FindBy(id="Submit"),
            @FindBy(name="Login")
    })
    WebElement btnSubmit;

    public LoginPF(WebDriver driver) {
        this.driver = driver;
        PageFactory.initElements(this.driver, this);
    }

    public void login(String username, String password) {
        inpUserName.sendKeys(username);
        inpPassword.sendKeys(password);
        btnSubmit.click();
    }
}
